$colors: (
  'dark-blue': #34495e,
  'green': #16a085,
  'blue': #2980b9,
  'orange': #ff7b00,
  'red': #e74c3c,
  'purple': #8e44ad,
  'deeppurple': #3f51b5,
  'dark-gray': #7f8c8d,
  'gray': #999,
  'light-gray': #dce2e6,
  'anthrazit': #444040,
  'yellow': #f1c40f,
  'white': #fff,
  'black': #000
);

@each $color, $value in $colors {
  .#{$color} {
    background: $value;
  }
  .text-#{$color} {
    color: $value;
  }
}

$brandgradients: (
  default: (
    'primary': #3cd3ad,
    'secondary': #4cb8c4
  ),
  closed: (
    'primary': #4b4b4b,
    'secondary': #aaaaaa
  ),
  aral: (
    'primary': #0083b0,
    'secondary': #00b4db
  ),
  agip: (
    'primary': #ffd200,
    'secondary': #f7971e
  ),
  raiffeisen: (
    'primary': #96c93d,
    'secondary': #00b09b
  ),
  star: (
    'primary': #2c7744,
    'secondary': #5a3f37
  ),
  shell: (
    'primary': #f0cb35,
    'secondary': #c02425
  ),
  total: (
    'primary': #fdbb2d,
    'secondary': #b21f1f
  ),
  hoyer: (
    'primary': #b21f1f,
    'secondary': #1a2a6c
  )
);

@each $brand, $colormap in $brandgradients {
  $primary: map-get($colormap, 'primary');
  $secondary: map-get($colormap, 'secondary');

  .card-header-#{$brand} {
    background: $primary;
    background: -webkit-linear-gradient(to right, $primary, $secondary);
    background: linear-gradient(to right, $primary, $secondary);
  }
}

.station-range-1 {
  color: map-get($colors, 'green');
}
.station-range-2 {
  color: map-get($colors, 'yellow');
}
.station-range-3 {
  color: map-get($colors, 'orange');
}
.station-range-4 {
  color: map-get($colors, 'red');
}
